--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Encode and return data for this image in \xE2\x80\x9C.gd2\xE2\x80\x9D format. This is an internal format used by the gd library to quickly read and write images. The specified <tt>fmt</tt> may be either GD2::FMT_RAW or GD2::FMT_COMPRESSED."
full_name: GD2::Image#gd2
is_singleton: false
name: gd2
params: (fmt = FMT_COMPRESSED, chunk_size = 0)
visibility: public
